diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/aodv/bindings/modulegen__gcc_LP64.py ns-3.36/src/aodv/bindings/modulegen__gcc_LP64.py
--- ns-3.35/src/aodv/bindings/modulegen__gcc_LP64.py	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/aodv/bindings/modulegen__gcc_LP64.py	2022-04-30 18:23:57.762733000 -0700
@@ -7301,10 +7315,11 @@
                    'uint32_t', 
                    [param('uint8_t *', 'buffer'), param('uint32_t', 'maxSize')], 
                    is_const=True)
-    ## packet.h (module 'network'): void ns3::Packet::SetNixVector(ns3::Ptr<ns3::NixVector> nixVector) [member function]
+    ## packet.h (module 'network'): void ns3::Packet::SetNixVector(ns3::Ptr<ns3::NixVector> nixVector) const [member function]
     cls.add_method('SetNixVector', 
                    'void', 
-                   [param('ns3::Ptr< ns3::NixVector >', 'nixVector')])
+                   [param('ns3::Ptr< ns3::NixVector >', 'nixVector')], 
+                   is_const=True)
     ## packet.h (module 'network'): std::string ns3::Packet::ToString() const [member function]
     cls.add_method('ToString', 
                    'std::string', 
@@ -8407,11 +8422,11 @@
                    'ns3::Time', 
                    [], 
                    is_const=True)
-    ## aodv-rtable.h (module 'aodv'): void ns3::aodv::RoutingTable::GetListOfDestinationWithNextHop(ns3::Ipv4Address nextHop, std::map<ns3::Ipv4Address, unsigned int, std::less<ns3::Ipv4Address>, std::allocator<std::pair<const ns3::Ipv4Address, unsigned int> > > & unreachable) [member function]
+    ## aodv-rtable.h (module 'aodv'): void ns3::aodv::RoutingTable::GetListOfDestinationWithNextHop(ns3::Ipv4Address nextHop, std::map<ns3::Ipv4Address, unsigned int, std::less<ns3::Ipv4Address>, std::allocator<std::pair<const ns3::Ipv4Address, unsigned int>>> & unreachable) [member function]
     cls.add_method('GetListOfDestinationWithNextHop', 
                    'void', 
                    [param('ns3::Ipv4Address', 'nextHop'), param('std::map< ns3::Ipv4Address, unsigned int > &', 'unreachable')])
-    ## aodv-rtable.h (module 'aodv'): void ns3::aodv::RoutingTable::InvalidateRoutesWithDst(std::map<ns3::Ipv4Address, unsigned int, std::less<ns3::Ipv4Address>, std::allocator<std::pair<const ns3::Ipv4Address, unsigned int> > > const & unreachable) [member function]
+    ## aodv-rtable.h (module 'aodv'): void ns3::aodv::RoutingTable::InvalidateRoutesWithDst(std::map<ns3::Ipv4Address, unsigned int, std::less<ns3::Ipv4Address>, std::allocator<std::pair<const ns3::Ipv4Address, unsigned int>>> const & unreachable) [member function]
     cls.add_method('InvalidateRoutesWithDst', 
                    'void', 
                    [param('std::map< ns3::Ipv4Address, unsigned int > const &', 'unreachable')])
@@ -8503,7 +8518,7 @@
                    'ns3::Ptr< ns3::NetDevice >', 
                    [], 
                    is_const=True)
-    ## aodv-rtable.h (module 'aodv'): void ns3::aodv::RoutingTableEntry::GetPrecursors(std::vector<ns3::Ipv4Address, std::allocator<ns3::Ipv4Address> > & prec) const [member function]
+    ## aodv-rtable.h (module 'aodv'): void ns3::aodv::RoutingTableEntry::GetPrecursors(std::vector<ns3::Ipv4Address, std::allocator<ns3::Ipv4Address>> & prec) const [member function]
     cls.add_method('GetPrecursors', 
                    'void', 
                    [param('std::vector< ns3::Ipv4Address > &', 'prec')], 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/aodv/CMakeLists.txt ns-3.36/src/aodv/CMakeLists.txt
--- ns-3.35/src/aodv/CMakeLists.txt	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.36/src/aodv/CMakeLists.txt	2022-04-30 18:23:57.742733000 -0700
@@ -0,0 +1,29 @@
+build_lib(
+  LIBNAME aodv
+  SOURCE_FILES
+    helper/aodv-helper.cc
+    model/aodv-dpd.cc
+    model/aodv-id-cache.cc
+    model/aodv-neighbor.cc
+    model/aodv-packet.cc
+    model/aodv-routing-protocol.cc
+    model/aodv-rqueue.cc
+    model/aodv-rtable.cc
+  HEADER_FILES
+    helper/aodv-helper.h
+    model/aodv-dpd.h
+    model/aodv-id-cache.h
+    model/aodv-neighbor.h
+    model/aodv-packet.h
+    model/aodv-routing-protocol.h
+    model/aodv-rqueue.h
+    model/aodv-rtable.h
+  LIBRARIES_TO_LINK ${libinternet}
+                    ${libwifi}
+  TEST_SOURCES
+    test/aodv-id-cache-test-suite.cc
+    test/aodv-regression.cc
+    test/aodv-test-suite.cc
+    test/loopback.cc
+    test/bug-772.cc
+)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/aodv/examples/CMakeLists.txt ns-3.36/src/aodv/examples/CMakeLists.txt
--- ns-3.35/src/aodv/examples/CMakeLists.txt	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.36/src/aodv/examples/CMakeLists.txt	2022-04-30 18:23:57.762733000 -0700
@@ -0,0 +1,9 @@
+build_lib_example(
+  NAME aodv
+  SOURCE_FILES aodv.cc
+  LIBRARIES_TO_LINK
+    ${libwifi}
+    ${libinternet}
+    ${libaodv}
+    ${libinternet-apps}
+)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/aodv/test/aodv-regression.cc ns-3.36/src/aodv/test/aodv-regression.cc
--- ns-3.35/src/aodv/test/aodv-regression.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/aodv/test/aodv-regression.cc	2022-04-30 18:23:57.770733000 -0700
@@ -173,16 +173,17 @@
   // This test suite output was originally based on YansErrorRateModel
   wifiPhy.SetErrorRateModel ("ns3::YansErrorRateModel");
   WifiHelper wifi;
+  wifi.SetStandard (WIFI_STANDARD_80211a);
   wifi.SetRemoteStationManager ("ns3::ConstantRateWifiManager", "DataMode", StringValue ("OfdmRate6Mbps"), "RtsCtsThreshold", StringValue ("2200"));
   NetDeviceContainer devices = wifi.Install (wifiPhy, wifiMac, *m_nodes);
 
   // Assign fixed stream numbers to wifi and channel random variables
   streamsUsed += wifi.AssignStreams (devices, streamsUsed);
   // Assign 6 streams per device
-  NS_TEST_ASSERT_MSG_EQ (streamsUsed, (devices.GetN () * 6), "Stream assignment mismatch");
+  NS_TEST_ASSERT_MSG_EQ (streamsUsed, (devices.GetN () * 2), "Stream assignment mismatch");
   streamsUsed += wifiChannel.AssignStreams (chan, streamsUsed);
   // Assign 0 streams per channel for this configuration
-  NS_TEST_ASSERT_MSG_EQ (streamsUsed, (devices.GetN () * 6), "Stream assignment mismatch");
+  NS_TEST_ASSERT_MSG_EQ (streamsUsed, (devices.GetN () * 2), "Stream assignment mismatch");
 
   // 2. Setup TCP/IP & AODV
   AodvHelper aodv; // Use default parameters here
@@ -191,10 +192,10 @@
   internetStack.Install (*m_nodes);
   streamsUsed += internetStack.AssignStreams (*m_nodes, streamsUsed);
   // InternetStack uses m_size more streams
-  NS_TEST_ASSERT_MSG_EQ (streamsUsed, (devices.GetN () * 8) + m_size, "Stream assignment mismatch");
+  NS_TEST_ASSERT_MSG_EQ (streamsUsed, (devices.GetN () * 4) + m_size, "Stream assignment mismatch");
   streamsUsed += aodv.AssignStreams (*m_nodes, streamsUsed);
   // AODV uses m_size more streams
-  NS_TEST_ASSERT_MSG_EQ (streamsUsed, ((devices.GetN () * 8) + (2 * m_size)), "Stream assignment mismatch");
+  NS_TEST_ASSERT_MSG_EQ (streamsUsed, ((devices.GetN () * 4) + (2 * m_size)), "Stream assignment mismatch");
 
   Ipv4AddressHelper address;
   address.SetBase ("10.1.1.0", "255.255.255.0");
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/aodv/test/bug-772.cc ns-3.36/src/aodv/test/bug-772.cc
--- ns-3.35/src/aodv/test/bug-772.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/aodv/test/bug-772.cc	2022-04-30 18:23:57.770733000 -0700
@@ -84,8 +84,8 @@
 void
 Bug772ChainTest::DoRun ()
 {
-  RngSeedManager::SetSeed (12345);
-  RngSeedManager::SetRun (7);
+  RngSeedManager::SetSeed (1);
+  RngSeedManager::SetRun (2);
 
   // Default of 3 will cause packet loss
   Config::SetDefault ("ns3::ArpCache::PendingQueueSize", UintegerValue (10));
@@ -136,16 +136,17 @@
   wifiPhy.Set ("TxGain", DoubleValue (1.0)); //this configuration should go away in future revision to the test
   wifiPhy.Set ("RxGain", DoubleValue (1.0)); //this configuration should go away in future revision to the test
   WifiHelper wifi;
+  wifi.SetStandard (WIFI_STANDARD_80211a);
   wifi.SetRemoteStationManager ("ns3::ConstantRateWifiManager", "DataMode", StringValue ("OfdmRate6Mbps"), "RtsCtsThreshold", StringValue ("2200"), "MaxSlrc", UintegerValue (7));
   NetDeviceContainer devices = wifi.Install (wifiPhy, wifiMac, *m_nodes);
 
   // Assign fixed stream numbers to wifi and channel random variables
   streamsUsed += wifi.AssignStreams (devices, streamsUsed);
   // Assign 6 streams per device
-  NS_TEST_ASSERT_MSG_EQ (streamsUsed, (devices.GetN () * 6), "Stream assignment mismatch");
+  NS_TEST_ASSERT_MSG_EQ (streamsUsed, (devices.GetN () * 2), "Stream assignment mismatch");
   streamsUsed += wifiChannel.AssignStreams (chan, streamsUsed);
   // Assign 0 streams per channel for this configuration
-  NS_TEST_ASSERT_MSG_EQ (streamsUsed, (devices.GetN () * 6), "Stream assignment mismatch");
+  NS_TEST_ASSERT_MSG_EQ (streamsUsed, (devices.GetN () * 2), "Stream assignment mismatch");
 
   // 2. Setup TCP/IP & AODV
   AodvHelper aodv; // Use default parameters here
@@ -154,10 +155,10 @@
   internetStack.Install (*m_nodes);
   streamsUsed += internetStack.AssignStreams (*m_nodes, streamsUsed);
   // Expect to use (3*m_size) more streams for internet stack random variables
-  NS_TEST_ASSERT_MSG_EQ (streamsUsed, ((devices.GetN () * 6) + (3 * m_size)), "Stream assignment mismatch");
+  NS_TEST_ASSERT_MSG_EQ (streamsUsed, ((devices.GetN () * 2) + (3 * m_size)), "Stream assignment mismatch");
   streamsUsed += aodv.AssignStreams (*m_nodes, streamsUsed);
   // Expect to use m_size more streams for AODV
-  NS_TEST_ASSERT_MSG_EQ (streamsUsed, ((devices.GetN () * 6) + (3 * m_size) + m_size), "Stream assignment mismatch");
+  NS_TEST_ASSERT_MSG_EQ (streamsUsed, ((devices.GetN () * 2) + (3 * m_size) + m_size), "Stream assignment mismatch");
   Ipv4AddressHelper address;
   address.SetBase ("10.1.1.0", "255.255.255.0");
   Ipv4InterfaceContainer interfaces = address.Assign (devices);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.35/src/aodv/test/loopback.cc ns-3.36/src/aodv/test/loopback.cc
--- ns-3.35/src/aodv/test/loopback.cc	2021-10-01 13:26:47.000000000 -0700
+++ ns-3.36/src/aodv/test/loopback.cc	2022-04-30 18:23:57.770733000 -0700
@@ -134,6 +134,7 @@
   YansWifiChannelHelper wifiChannel = YansWifiChannelHelper::Default ();
   wifiPhy.SetChannel (wifiChannel.Create ());
   WifiHelper wifi;
+  wifi.SetStandard (WIFI_STANDARD_80211a);
   wifi.SetRemoteStationManager ("ns3::ConstantRateWifiManager", "DataMode", StringValue ("OfdmRate6Mbps"), "RtsCtsThreshold", StringValue ("2200"));
   NetDeviceContainer devices = wifi.Install (wifiPhy, wifiMac, nodes);
 
